namespace PkmnLib.Plugin.Gen7.Scripts.MoveVolatile;

[Script(ScriptCategory.MoveVolatile, "bypass_sleep")]
public class BypassSleepVolatile : Script, IScriptCustomTrigger
{
    /// <inheritdoc />
    public void CustomTrigger(StringKey eventName, ICustomTriggerArgs args)
    {
        if (eventName == CustomTriggers.BypassSleep && args is CustomTriggers.BypassSleepArgs bypassArgs)
            bypassArgs.Bypass = true;
    }
}